Page MenuHome

ERROR: Attempt to unbind (Surface Deform) from inactive dependency graph, when using *Redo Last*
Closed, ResolvedPublic

Description

System Information
Operating system: Linux-4.13.10-041310-generic-x86_64-with-debian-stretch-sid 64 Bits
Graphics card: GeForce GTX 1050/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 390.67

Blender Version
Broken: version: 2.80 (sub 60), branch: blender2.7, commit date: 2019-05-07 19:17, hash: rB3dc9da3a74ee
Worked: 2.79

Short description of error
In an operator I add a Surface Deform mod to an object, bind it to a 2nd object and then deform that 2nd object (using Shrinkwrap).
This works, but only for the initial run of the operator, not for redoing.

Exact steps for others to reproduce the error

  • open
  • run the script and run the Deformer op n the 3d view
  • as intended the box is surface deformed by the plane which is shrinkwrapped
  • as soon as you use *Redo Last*, the terminal shows the following error, and Blender will apparently fail to re-bind the Surface Deform
ERROR (bke.modifier): /home/sources/buildbot-x86_64-slave/linux_glibc224_x86_64_cmake/blender.git/source/blender/blenkernel/intern/modifier.c:410 modifier_setError: Attempt to unbind from inactive dependency graph

Video Demo

Details

Type
Bug

Event Timeline

If I throw in a Mesh Deform mod as well, there will be a new error (bind, instead of unbind)

ERROR (bke.modifier): /home/sources/buildbot-x86_64-slave/linux_glibc224_x86_64_cmake/blender.git/source/blender/blenkernel/intern/modifier.c:410 modifier_setError: Attempt to bind from inactive dependency graph

MACHIN3 (MACHIN3) updated the task description. (Show Details)
Sebastian Parborg (zeddb) triaged this task as Needs Information from User priority.

Isn't this a duplicate of T64300 ? It seems like depsgraph has issues when redoing.

MACHIN3 (MACHIN3) added a comment.EditedMay 8 2019, 3:22 PM

It may be related, but I'm getting a clear error message from this one here, related to the binding/unbinding of the deformation mods, whereas I can only observe the misbehavior in the other one (and it misbehaves in a different way as well).
I think that merits a separate bug report.

If it can be fixed with a single approach, that would be great of course.

I have the same error:

ERROR (bke.modifier): c:\b\win64_cmake_vs2017\win64_cmake_vs2017\blender.git\source\blender\blenkernel\intern\modifier.c:410 modifier_setError: Attempt to unbind from inactive dependency graph

version: 2.80 (sub 60), branch: blender2.7, commit date: 2019-05-07 19:17, hash: 3dc9da3a74ee, type: Release
build date: 07/05/2019, 18:30
platform: Windows 10 64bit

gfx - _ Nvidia GTX 1080 Driver - 430.39

Complete system info:

https://pastebin.com/SgL40qup

MACHIN3 (MACHIN3) closed this task as Resolved.May 18 2019, 9:24 AM

Like https://developer.blender.org/T64300, this has now also been fixed by rBbe5fd9c09f25. Thank you @Sergey Sharybin (sergey)! Closing.